#Module-Specific definitions
%define mod_version 2.4.0
%define release 1mdk
%define mod_name mod_fastcgi
%define mod_conf 92_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_fastcgi is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2

# a possible enhancement? http://www.3skel.com/fastcgi/fastcgisa-2.4.0_0.1.tar.gz

License:	BSD-style
URL:		http://www.fastcgi.com/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper

%description
mod_fastcgi provides FastCGI support for the %{ap_name} web 
server. FastCGI is a language independent, scalable, open 
extension to CGI that provides high performance and persistence 
without the limitations of server specific APIs. 

%prep

%setup -q -n %{mod_name}-%{mod_version}

%build

%{apxs} -c mod_fastcgi.c f*.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/fcgi-bin

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc docs/* CHANGES
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%dir /var/www/fcgi-bin

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_2.4.0-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_2.4.0-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Sat Apr 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_2.4.0-1mdk
- initial cooker contrib
